#include<bits/stdc++.h>

#define ll long long
#define begin begin()
#define end end()
#define pb push_back
#define in insert
#define lldef ll N=0,M=0,K=0;
#define mk make_pair

using namespace std;

vector<int> solve(vector<int>A){
    ll N=A.size();
    vector<int>ANS;
    if(N%2==1){
        for(ll i=0; i<N; i+=2){
            ANS.pb(i);
        }
        for(ll i=1; i<N; i+=2){
            ANS.pb(i);
        }
    }else{
        for(ll i=1; i<N; i+=2){
            ANS.pb(i);
        }
        for(ll i=0; i<N; i+=2){
            ANS.pb(i);
        }
        
    }
    return ANS;
    
}
